# LuaSandbox::loadBinary

(PECL luasandbox >= 1.0.0)

LuaSandbox::loadBinary — Load a precompiled binary chunk into the Lua environment

### Description

public LuaSandbox::loadBinary ( string `$code` [, string `$chunkName` = '' ] ) : LuaSandboxFunction

Loads data generated by LuaSandboxFunction::dump().

### Parameters

`code`

  Data from LuaSandboxFunction::dump().

`chunkName`

  Name for the loaded function.

### Return Values

Returns a LuaSandboxFunction.

### See Also

- LuaSandbox::loadString() - Load Lua code into the Lua environment